package com.yeejoin.amos.boot.module.common.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.common.api.dto.*;
import com.yeejoin.amos.boot.module.common.api.entity.OrgUsr;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
* 机构/部门/人员表 Mapper 接口
*
* @author tb
* @date 2021-06-18
*/
public interface OrgUsrMapper extends BaseMapper<OrgUsr> {
    String selectUpUnitByParam(@Param("id")String biz_org_code);
    
    int selectPersonListCount(@Param("map")Map<String, Object> map);

    List<Map<String, Object>> selectPersonList(@Param("map")Map<String, Object> map);

    //BUG 2880  by litw start 2021年9月16日
    List<OrgUsr> selectAllChildrenList(@Param("map")Map<String, Object> map);

	List<OrgUsr> selectCompanyDepartmentMsg();

	List<Map<String, Object>> selectPersonAllList(Map<String, Object> map);

	List<OrgUsr> queryOrgUsrListByBizOrgCode(String bizOrgCode);

    List<OrgPersonExcelDto> queryOrgPersonDtoList(boolean isDelete);

    /**
     * 根据id查询当前单位下的所有子单位、部门
     *
     * @param orgUserId
     * @return
     */
    List<OrgUsr> listOrgUserById(Long orgUserId);

    /**
     * * @param null
     * @return
     * <PRE>
     * author tw
     * date 2021/7/20
     * </PRE>
     * 指挥重点单位资源
     */
    List<CompanyDto> listContractDto(@Param("pageNum")int pageNum, @Param("pageSize")int pageSize, @Param("par") RequestData par);

    Integer listContractDtoCount(@Param("par")RequestData par);
    /**
     * 获取机场单位树，包含对应单位下部门的数量
     * @return
     */
    List<OrgUsrTreeDto> getCompanyAndCountDepartment();


    List< OrgUsrzhDto> getOrgUsrzhDto(@Param("bizOrgName")String bizOrgName);


    List< Map<String,Object>> getparent();
    List< OrgUsrExcelDto> exportToExcel(String parentId ,String bizOrgName,String internalPositionCode ,String positionType);

    /**
     * 查询单位基本信息列表和单位下所有的重点部位数量。
     */
    List<CheckObjectDto> getCompanyAndKeySite(Long companyId);

    List<UserUnitDto>  getUserUnit(String id, String type, String code);

    List<UserDto> getUserInfo(String id, String type, String code, String[] fieldCode);

    /**
     * 导出机场单位带过滤      bug2657 by kongfm
     * @param parentId
     * @return
     */
    List< OrgUsrExcelDto> exportPersonToExcelByParentId(Long parentId);

    List<OrgUsr> amosIdExist(String amosId);


    void updatelistByParentId(String codex, String code);
    
    List< Map<String,String>>   getPersonSimpleDetail();

    List<Map<String, Long>> countDeptByCompanyId(@Param("companyIdList") List<String> companyIdList);

    List<Map<String,Object>> queryCompanyId(String bizOrgName);

    List<Map<String,Object>> queryCompanyIdNew(String bizOrgName);

}
